﻿@import url("./fonts.css");

:root {
  --main-text-color: #7e8996;
  --title-text-color: #121c40;
  --main-font: "Proxima Nova", sans-serif;
  --green-color: #77b461;
  --red-color: #ef3c62;
  --yellow-color: #ffb84a;
  --animation-curve: cubic-bezier(0.12, 0.7, 0.74, 0.71);
}

body {
  padding: 0;
  margin: auto;
  font-family: var(--main-font);
}

h1,
h2,
h3 {
  text-align: center;
}

.paired-block {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  padding-bottom: 1rem;
}

.select-paired-phone {
  display: flex;
  flex-direction: column;
}

.paired-btn-block {
  display: flex;
  justify-content: center;
  align-self: center;
  align-items: center;
  height: 1rem;
}

.paired-btn-block button {
  border: none;
  border-radius: 0.5rem;
}

.phone,
.pairPhone {
  margin: 15px auto 12px auto;
  width: 350px;
  height: 700px;
  background: #2c3a4e;
  color: white;
  padding-bottom: 20px;
}

.phone h1,
.pairPhone h2 {
  padding-top: 1.5rem;
}

#call-status {
  display: block;
  word-wrap: break-word;
  width: 80%;
  text-align: start;
  font-size: 1rem;
  margin: 10px auto 20px auto;
  text-align: center;
}

.dial-display {
  margin-bottom: 20px;
}

.info-section {
  /* height: 5.5rem; */
}

#contactInfo {
  font-size: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.input-box {
  display: block;
  letter-spacing: 0.1rem;
  padding: 0;
  font-style: oblique;
  text-align: center;
  border: none;
  background-color: transparent;
  outline: none !important;
  color: #fff;
  font-size: 1.7rem;
  margin: 5px auto;
  width: 95%;
}

.input-hint {
  font-size: 1.5rem;
  width: 80%;
  margin: 5px auto;
}

.phone .grid {
  display: grid;
  font-size: 1rem;
  grid-template-columns: repeat(3, 1fr);
  margin-bottom: 1rem;
  padding-left: 15px;
  padding-right: 15px;
}
.grid__item {
  display: flex;
  align-items: center;
  justify-content: center;
}

.grid__item button {
  border: 0;
  font-size: 2rem;
  background: rgba(255, 255, 255, 0.05);
  color: white;
  padding: 1rem;
  outline: 0;
  cursor: pointer;
  width: 70px;
  height: 70px;
  margin-bottom: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
  text-align: center;
}

.backBtn button:hover,
.verifyBtn button:hover,
.paired-block button:hover,
.phone .grid button:hover {
  background: var(--green-color);
}

.backBtn button:active,
.verifyBtn button:active,
.paired-block button:active,
.phone .grid button:active {
  box-shadow: inset 0px 0px 25px #025514;
  background: #025514;
}

.phone .grid span {
  display: block;
  color: white;
  font-size: 0.5rem;
}

.ans-end-btn {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  margin: 1rem 1.8rem;
  position: relative;
}

.ans-end-btn i {
  font-size: 1.5rem;
}

.ans-call {
  border: 0;
  background: var(--green-color);
  border-radius: 100%;
  color: #fff;
}

.ans-call:hover,
.ans-call:focus {
  background: #1da538;
}

.phone .ans-call:active {
  box-shadow: 0;
  background: #45c660;
}

.end-call {
  border: 0;
  background: var(--red-color);
  border-radius: 100%;
  color: #fff;
}
.ans-call,
.end-call {
  width: 65px;
  height: 65px;
  cursor: pointer;
}

.end-call:hover,
.end-call:focus {
  background: #cd5d6c;
}

.end-call:active {
  box-shadow: 0;
  background: #c64556;
}

.ans-end-btn__backspace {
  position: absolute;
  right: 0;

  display: flex;
  align-items: center;
  height: 100%;
}

.ans-end-btn__backspace__btn {
  background-color: transparent;
  border: none;
  outline: 0;
  color: #7e8996;
  opacity: 0.9;
  cursor: pointer;
}
.ans-end-btn__backspace__btn:hover {
  opacity: 1;
}

.pairBox {
  display: flex;
  flex-direction: column;
  align-content: center;
  width: 200px;
  height: 200px;
  justify-content: center;
  margin: 2rem auto;
  gap: 0.5rem;
}

.contactInfo {
  margin: 20px;
}
.contactInfo__name {
  font-weight: bold;
}
.contactInfo__num {
  font-weight: 300;
  color: #64afe5;
}

.verifyBtn,
.backBtn {
  display: block;
  text-align: center;
}

#verifyPhoneButton,
#backBtn {
  align-items: center;
  border: none;
  border-radius: 0.5rem;
}

#verifyPhoneButton {
  margin-top: 0.5rem;
}

.inParingBlock {
  height: 300px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-self: center;
  padding-bottom: 3rem;
}

.inCalling {
  text-align: center;
  padding-top: 2.5rem;
}

.prompted {
  padding-top: 1.5rem;
  margin: 1em 0;
}
/* Animation Start */

.inCallingIcon {
  display: block;
  text-align: center;
  margin: 60px auto;
}

.phone-calling {
  z-index: 2;
  background-color: var(--green-color);
  animation: phone-calling 1s var(--animation-curve) infinite alternate-reverse;
  height: 50px;
  width: 50px;
  border-radius: 50%;
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  border: 0.5px white solid;
}

.phone-calling span {
  color: white;
  margin-top: 1rem;
  font: 2.5rem;
  display: flex;
  justify-content: center;
  align-content: center;
}

.circle1,
.circle2 {
  height: 50px;
  width: 50px;
  border-radius: 50%;
  position: absolute;
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
  background-color: var(--green-color);
  animation: scaling 2s var(--animation-curve) infinite;
}

@keyframes scaling {
  0% {
    transform: scale(2);
    background-color: var(--green-color);
  }
  100% {
    transform: scale(4.5);
    background-color: rgba(0, 250, 12, 0);
  }
}

@keyframes phone-calling {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(3);
  }
}

.circle1 {
  animation-delay: 0s;
}
.circle2 {
  animation-delay: 1s;
}

.pairSuccess {
  display: flex;
  padding-top: 5rem;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  font-size: 1rem;
}

.pairSuccess div {
  text-align: center;
}

.pairedPhone {
  font-size: 2rem;
}

.hide span,
.hide {
  display: none;
}
